import { IParam, MainControlState } from '@ibiz-core';

/**
 * @description 表格部件状态
 * @export
 * @interface GridControlState
 * @extends {MainControlState}
 */
export interface GridControlState extends MainControlState {

  /**
   * @description 表格数据集合
   * @type {IParam[]}
   * @memberof GridControlState
   */
  Items: IParam[];

  /**
   * @description 表格列模型
   * @type {IParam}
   * @memberof GridControlState
   */
  columnsModel: IParam;

  /**
   * @description 表格界面行为模型
   * @type {IParam}
   * @memberof GridControlState
   */
  actionModel: IParam;

  /**
   * @description 值规则
   * @type {IParam}
   * @memberof GridControlState
   */
  rules: IParam;

  /**
   * @description 是否多选
   * @type {boolean}
   * @memberof GridControlState
   */
  multiple: boolean;

  /**
   * @description 行编辑状态
   * @type {boolean}
   * @memberof GridControlState
   */
  rowEditState: boolean;

  /**
   * @description 行激活模式
   * @type {(0 | 1 | 2)} 不激活 | 单击激活 | 双击激活
   * @memberof GridControlState
   */
  rowActiveMode: 0 | 1 | 2;

  /**
   * @description 选中数据
   * @type {IParam[]}
   * @memberof GridControlState
   */
  selectedData: IParam[];

  /**
   * @description 是否默认选中第一条数据
   * @type {boolean}
   * @memberof GridControlState
   */
  selectFirstDefault: boolean;
}
